Updated from global requirements

Change-Id: I1385cfc5d8838fbb73ba5c909537d072cba8d736
changes/03/201803/14
OpenStack Proposal Bot 8 years ago
parent dc8436c190
commit 91f86101e4

@ -1,18 +1,19 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=0.11
pbr<2.0,>=1.3
Paste
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
debtcollector>=0.3.0 # Apache-2.0
eventlet>=0.17.4
greenlet>=0.3.2
httplib2>=0.7.5
requests>=2.5.2
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware>=1.5.0
keystonemiddleware>=2.0.0
netaddr>=0.7.12
python-neutronclient<3,>=2.3.11
retrying!=1.3.0,>=1.2.3 # Apache-2.0
@ -27,9 +28,9 @@ oslo.config>=1.11.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.12.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.log>=1.6.0 # Apache-2.0
oslo.messaging>=1.16.0 # Apache-2.0
oslo.middleware!=2.0.0,>=1.2.0 # Apache-2.0
oslo.middleware>=2.4.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0

@ -25,5 +25,5 @@ except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
setup_requires=['pbr>=1.3'],
pbr=True)

@ -6,7 +6,7 @@ hacking<0.11,>=0.10.0
cliff>=1.13.0 # Apache-2.0
coverage>=3.6
fixtures>=1.3.1
mock>=1.1;python_version!='2.6'
mock!=1.1.4,>=1.1;python_version!='2.6'
mock==1.0.1;python_version=='2.6'
python-subunit>=0.0.18
requests-mock>=0.6.0 # Apache-2.0
@ -16,8 +16,8 @@ testrepository>=0.0.18
testtools>=1.4.0
testscenarios>=0.4
WebTest>=2.0
oslotest>=1.5.1 # Apache-2.0
oslotest>=1.7.0 # Apache-2.0
os-testr>=0.1.0
tempest-lib>=0.6.1
ddt>=0.7.0
pylint==1.4.4 # GNU GPL v2
pylint==1.4.4 # GNU GPL v2

Loading…
Cancel
Save